Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst.confidence
Class QBCSequenceConfidenceEstimator

    java.lang.Object
      cc.mallet.fst.confidence.TransducerSequenceConfidenceEstimator
          cc.mallet.fst.confidence.QBCSequenceConfidenceEstimator

    public class QBCSequenceConfidenceEstimator

extends TransducerSequenceConfidenceEstimator

Estimates the confidence of an entire sequence by the "disagreement" among a committee of CRFs.

Field Summary

Fields inherited from class cc.mallet.fst.confidence.TransducerSequenceConfidenceEstimator
`model`

Constructor Summary
`QBCSequenceConfidenceEstimator(Transducer model, Transducer[] committee)`

Method Summary
`double` | `estimateConfidenceFor(Instance instance, java.lang.Object[] startTags, java.lang.Object[] inTags)` Calculates the confidence in the tagging of a `Instance`.

Methods inherited from class cc.mallet.fst.confidence.TransducerSequenceConfidenceEstimator
`rankInstancesByConfidence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QBCSequenceConfidenceEstimator

    public QBCSequenceConfidenceEstimator(Transducer model,
                                          Transducer[] committee)

Method Detail

### estimateConfidenceFor

    public double estimateConfidenceFor(Instance instance,
                                        java.lang.Object[] startTags,
                                        java.lang.Object[] inTags)

  Calculates the confidence in the tagging of a `Instance`.

  Specified by:
    `estimateConfidenceFor` in class `TransducerSequenceConfidenceEstimator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD